import os

import testinfra.utils.ansible_runner

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ["MOLECULE_INVENTORY_FILE"]
).get_hosts("all")


def test_prometheus_running_and_enabled(host):
    prometheus = host.service("prometheus")
    assert prometheus.is_running
    assert prometheus.is_enabled


def test_prometheus_socket(host):
    # Verify the socket is listening for HTTP traffic
    assert host.socket("tcp://127.0.0.1:61000").is_listening
